Subject: bug#74217: [PATCH 0/2] Initial step on bootstrapping Zig.

From: Hilton Chain <[email-masked]>
Date: Sun, 10 Nov 2024 01:26:21 +0800

I have added a wip-zig-bootstrap[1] branch.

Variables are not exported, you can build them locally with the following
command:
--8<---------------cut here---------------start------------->8---
ZIG=$(
	sed 's/^\(define(-public)? (zig-.*-.*)/\2/p' gnu/packages/zig.scm \
		--quiet --regexp-extended |
		tail --lines=1
)

./pre-inst-env guix build --expression="(@@ (gnu packages zig) $ZIG)"
--8<---------------cut here---------------end--------------->8---

Thanks
---
[1]: https://git.savannah.gnu.org/cgit/guix.git/log/?h=wip-zig-bootstrap